import QtQuick
import QtQuick.Layouts

import roulette

/* 
 * The very important id 'rouletteTable'
 * comes from Roulette.qml
 */
Item {

    RowLayout {

        anchors {
            left: parent.left
            leftMargin: 90
            top: parent.top
            topMargin: 22
        }

        spacing: 1.8

        Repeater {
            model: 12

            /* 
             * This item needs to be here because BetButton can't inherit 
             * "index" from Repeater even though it is just a QItem itself
             */
            Item {
                height: 45
                width: 35

                BetButton {
                    index_: index
                    betType: 8
                    height: parent.height
                    width: parent.width
                    offsetX: 110
                    offsetY: 58
                }
            }
        }
    }
}
